Skip to main content
`Ctrl`+`K`

# DMDAConvertToCell

Convert a (i,j,k) location in a `DMDA` to its local cell or vertex number

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAConvertToCell(DM dm, MatStencil s, PetscInt *cell)

Not Collective

## Input Parameters

- dm - the `DMDA`

- s - a `MatStencil` that provides (i,j,k)

## Output Parameter

- cell - the local cell or vertext number

## Note

The (i,j,k) are in the local numbering of the `DMDA`. That is they are non-negative offsets to the ghost corners returned by `DMDAGetGhostCorners()`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetGhostCorners()`

## Level

developer

## Location

src/dm/impls/da/dageometry.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages